LibreOffice: StyleFamily Service Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
StyleFamily Service Referencepublished

This service is a container of style sheets of the same style family. More...

`import"StyleFamily.idl";`

Inheritance diagram for StyleFamily:

## Exported Interfaces
interface | com::sun::star::container::XNameAccess
| This mandatory interface makes it possible to access the style sheets within this family by name. More...
interface | com::sun::star::container::XNameContainer
| This optional interface makes it possible to add and remove the style sheets within this family by name. More...
interface | com::sun::star::container::XIndexAccess
| This optional interface makes it possible to access the style sheets within this family by index. More...

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Protected Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Protected Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

This service is a container of style sheets of the same style family.

See also
  StyleFamilies

Developers Guide
  Text - Overall Document Features - Styles

## Exported Interfaces

interface com::sun::star::container::XIndexAccess
| optional

This optional interface makes it possible to access the style sheets within this family by index.

The elements in this container support the service Style and are accessed via an XStyle.

interface com::sun::star::container::XNameAccess

This mandatory interface makes it possible to access the style sheets within this family by name.

The elements in this container support the service Style and are accessed via an XStyle.

interface com::sun::star::container::XNameContainer
| optional

This optional interface makes it possible to add and remove the style sheets within this family by name.

The elements in this container support the service Style and are accessed via an XStyle.

The documentation for this service was generated from the following file:

- com/sun/star/style/StyleFamily.idl